Page MenuHomePhabricator

MW-1.30.0-wmf.6 deployment blockers
Closed, ResolvedPublic

Event Timeline

greg created this task.Jun 9 2017, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2017, 5:49 PM
greg added a comment.Jun 15 2017, 12:05 AM

(I added this task to that patch to have gerritbot comment when it merges, but I did it when Phab was momentarily down for routine maintenance so gerritbot wasn't able to do the initial comment.)

Mentioned in SAL (#wikimedia-operations) [2017-06-20T19:17:27Z] <twentyafterfour> Prepping 1.30.0-wmf.6 - T167535

Mentioned in SAL (#wikimedia-operations) [2017-06-20T20:08:09Z] <twentyafterfour@tin> Started scap: sync 1.30.0-wmf.6 refs T167535

Change 360414 had a related patch set uploaded (by 20after4; owner: Gergő Tisza):
[mediawiki/core@wmf/1.30.0-wmf.6] Fix enhanced RC data attribute sanitizing

https://gerrit.wikimedia.org/r/360414

Change 360414 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.6] Fix enhanced RC data attribute sanitizing

https://gerrit.wikimedia.org/r/360414

Mentioned in SAL (#wikimedia-operations) [2017-06-20T20:37:26Z] <twentyafterfour@tin> Finished scap: sync 1.30.0-wmf.6 refs T167535 (duration: 29m 16s)

Mentioned in SAL (#wikimedia-operations) [2017-06-20T20:44:50Z] <twentyafterfour@tin> Synchronized php-1.30.0-wmf.6/includes/changes/EnhancedChangesList.php: deploy bad7bde87dc945ba7e1c307420ccbb2419ca90c9 refs T167535 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2017-06-20T20:53:28Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: Group0 to 1.30.0-wmf.6 refs T167535

Mentioned in SAL (#wikimedia-operations) [2017-06-21T19:30:09Z] <twentyafterfour> The train for wmf.6 (T167535) is currently blocked by T168479

Change 359047 merged by jenkins-bot:
[mediawiki/core@master] Fix enhanced RC data attribute sanitizing

https://gerrit.wikimedia.org/r/359047

Mentioned in SAL (#wikimedia-operations) [2017-06-26T17:36:29Z] <twentyafterfour> Deploying 1.30.0-wmf.6 to all wikis refs T167535

MacFan4000 closed this task as Resolved.Jun 27 2017, 3:15 PM
MacFan4000 added a subscriber: MacFan4000.

Seems to be successfully deployed.